Bug 474814 - Cannot override CUPS' auto-typing for compressed files
Cannot override CUPS' auto-typing for compressed files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Tim Waugh
desktop-bugs@redhat.com
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 08:56 EST by Opher Shachar
Modified: 2010-10-23 02:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:25:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2997 None None None Never

  None (edit)
Description Opher Shachar 2008-12-05 08:56:08 EST
Hello,
CUPS is re-based on 1.3.7 as I saw. Our CUPS server is RHEL 5.2 and most (if
not all) clients are RHEL 4.4+ .
The clients print Hebrew iso-8859-9 encoded and compressed (gzipped) text files
by way similar to this:

    LANG=he_IL lp -h pserver -p printer1 iso-8859-8.txt.gz

This will fail with CUPS 1.3.7, and to have this:

    lp -h pserver -p printer1 -ocomression=gzip
-odocument-format=text/plain;charset=iso-8859-8 iso-8859-8.txt.gz

work the patch for STR #2997 needs to be applied.
(my original patch, as upstream later agreed:
http://www.cups.org/newsgroups.php?gcups.development+v2913)

Kind regards,
Opher.
Comment 4 Chris Ward 2009-07-03 14:15:26 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 7 errata-xmlrpc 2009-09-02 07:25:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1360.html

Note You need to log in before you can comment on or make changes to this bug.